jira-search
===========

A script for constructing jira JCL queries

```bash
% git clone ssh://gerrit.opencord.org/onf-scripts
% cd onf-scripts/jira/bin

% ./jira-search.sh –help
```

Conditional Searches
====================

```bash
% jira-search.sh --server opencord --unresolved ({search-by-flags})
```

| Jira | Command | Description |
| ---- | ------- | ----------- |
| [x](https://jira.opencord.org/browse/VOL-5287?jql=component%20IN%20(bbsim)%20AND%20(resolved%20IS%20EMPTY)) | –-component bbsim | Search for unresolved tickets with a component of bbsim |
| [x](https://jira.opencord.org/browse/VOL-5220?jql=(labels%20IN%20(bbsim))%20AND%20(resolved%20IS%20EMPTY)) | -–label bbsim | Search for unresolved tickets with 'bbsim' mentioned in the label field. |
| [x](https://jira.opencord.org/browse/VOL-5118?jql=(text%20~%20"bbsim")%20AND%20(resolved%20IS%20EMPTY)) | -–text bbsim | Search for unresolved tickets with 'bbsim' mentioned in the description |
| [x](https://jira.opencord.org/browse/VOL-5293?jql=component%20IN%20(onos%2Cbbsim)%20AND%20(resolved%20IS%20EMPTY)) | -–component onos -–component bbsim | Switches can be combined but construction logic still needs work.  Query will be loaded into a browser and can be manually cleaned up. |

Help
====

| Command | Description |
| ------- | ----------- |
| ./jira-search.sh --help | Display help text |
| ./jira-search.sh --help-resolved | Display --resolved switch permutations and use cases |
| ./jira-search.sh --usage-resolved | Display use cases for resolved based searches |
| ./jira-search.sh --help-user | Display assigned, requested-by or 'my' jira tickets' |

